Create new notification

Creates a new notification visible to users of the current instance.

Requires authentication.

Request

POST /notifications

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
titlestring or objectYesNotification title. Pass a string to apply to all languages, or an object with en/de keys for multilingual titles.
messagestring or objectYesNotification message body. Pass a string or multilingual object.

Example Request (multilingual)

{
  "title": {
    "en": "Index rebuild complete",
    "de": "Index-Neuaufbau abgeschlossen"
  },
  "message": {
    "en": "The search index has been rebuilt successfully.",
    "de": "Der Suchindex wurde erfolgreich neu aufgebaut."
  }
}

Example Request (single language)

{
  "title": "Deployment finished",
  "message": "The storefront deployment completed successfully."
}

Response

Returns the created notification object.

Example Response

{
  "id": 42,
  "title": {
    "en": "Index rebuild complete",
    "de": "Index-Neuaufbau abgeschlossen"
  },
  "message": {
    "en": "The search index has been rebuilt successfully.",
    "de": "Der Suchindex wurde erfolgreich neu aufgebaut."
  },
  "read": false,
  "createdAt": "2026-04-27T06:05:00Z"
}
Body Params

This field field can be an object contains multilanguage values for en and de(see example), if sent message is a string, it will be set for both languages.

This field field can be an object contains multilanguage values for en and de(see example), if sent message is a string, it will be set for both languages.

string
boolean
Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!